Skip to main content

Update Spa

PATCH 

/v1/armada/simple_product_assignment/:spa_id

Update a simple product assignment

Request

Path Parameters

    spa_id uuidrequired

    The simple product assignment ID

Body

required

    name Name (string)

    Possible values: non-empty and <= 256 characters

    The name of the product that will be used directly by the deployment system. e.g., paladins, roco

    count Count (integer)

    The number of instances of the product that will be used directly by the deployment system.

    host_id uuid

    The ID of the host this assignment is associated with

Responses

Successful Response

Schema

    name Name (string)required

    Possible values: non-empty and <= 256 characters

    The name of the product that will be used directly by the deployment system. e.g., paladins, roco

    count Count (integer)required

    The number of instances of the product that will be used directly by the deployment system.

    host_id uuidrequired

    The ID of the host this assignment is associated with

    simple_product_assignment_id uuidrequired
Loading...